## texlive-lang 2016.20161130

=== debian/changelog ===
texlive-lang (2016.20161130-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Wed, 30 Nov 2016 13:18:20 +0900

=== debian/control ===
Source: texlive-lang
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
Standards-Version: 3.9.8
Homepage: http://www.tug.org/texlive/

Package: texlive-lang-african
Architecture: all
Multi-Arch: foreign
Depends: texlive-base (>= 2016), ${misc:Depends}, texlive-base (>= 2016)
Replaces: texlive-base (<< 2016)
Breaks: texlive-base (<< 2016)
Description: TeX Live: African scripts
 Support for African scripts.
 .
 This package includes the following CTAN packages:
 .
 ethiop -- LaTeX macros and fonts for typesetting Amharic
 .
 ethiop-t1 -- Type 1 versions of Amharic fonts
 .
 fc -- Fonts for African languages
 .
 hyphen-ethiopic -- Hyphenation patterns for Ethiopic scripts.

Package: texlive-lang-arabic
Architecture: all
Multi-Arch: foreign
Depends: texlive-base (>= 2016), ${misc:Depends}, texlive-base (>= 2016), fonts-hosny-amiri, texlive-generic-extra (>= 2016)
Replaces:  texlive-xetex (<< 2016.20161008)
Breaks: texlive-base (<< 2016)
Description: TeX Live: Arabic
 Support for Arabic and Persian.
 .
 This package includes the following CTAN packages:
 .
 amiri -- A classical Arabic typeface, Naskh style
 .
 arabi -- (La)TeX support for Arabic and Farsi, compliant with Babel
 .
 arabi-add -- Using hyperref and bookmark packages with arabic and farsi
 languages
 .
 arabluatex -- An ArabTeX-like interface for LuaLaTeX
 .
 arabtex -- Macros and fonts for typesetting Arabic
 .
 bidi -- Bidirectional typesetting in plain TeX and LaTeX, using XeTeX engine
 .
 bidihl -- Experimental bidi-aware text highlighting
 .
 dad -- Simple typesetting system for mixed Arabic/Latin documents
 .
 ghab -- Typeset ghab boxes in LaTeX
 .
 hyphen-arabic -- (No) Arabic hyphenation patterns.
 .
 hyphen-farsi -- (No) Persian hyphenation patterns.
 .
 imsproc -- Typeset IMS conference proceedings
 .
 lshort-persian -- Persian (Farsi) introduction to LaTeX
 .
 persian-bib -- Persian translations of classic BibTeX styles
 .
 simurgh -- Typeset Parsi in LuaLaTeX
 .
 tram -- Typeset tram boxes in LaTeX
 .
 xepersian -- Persian for LaTeX, using XeTeX

Package: texlive-lang-cjk
Architecture: all
Multi-Arch: foreign
Depends: poppler-data, texlive-latex-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), ${misc:Depends}, texlive-base (>= 2016), texlive-base (>= 2016)
Recommends: texlive-lang-chinese, ruby | ruby-interpreter, latex-cjk-all (>= 4.6.0+cvs20060714-2), texlive-lang-japanese, texlive-lang-korean
Breaks: texlive-base (<< 2016), texlive-lang-japanese (<< 2014.20150305)
Description: TeX Live: Chinese/Japanese/Korean (base)
 Packages supporting a combination of Chinese, Japanese, Korean, including 
 macros, fonts, documentation.  Also Thai in the c90 encoding, since there is 
 some overlap in those fonts; standard Thai support is in 
 collection-langother.  Additional packages for CJK are in their individual 
 language collections.
 .
 This package includes the following CTAN packages:
 .
 c90 --
 .
 cjk-gs-integrate -- Tools to integrate CJK fonts into Ghostscript
 .
 cjkpunct -- Adjust locations and kerning of CJK punctuation marks
 .
 garuda-c90 -- TeX support (from CJK) for the garuda font
 .
 norasi-c90 -- TeX support (from CJK) for the norasi font
 .
 xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
 .
 zxjafont -- Set up Japanese font families for XeLaTeX

Package: texlive-lang-korean
Architecture: all
Multi-Arch: foreign
Depends: texlive-base (>= 2016), ${misc:Depends}, texlive-lang-cjk (>= 2016), texlive-binaries (>= 2016.20160513.41080-7)
Conflicts: ko.tex-bin
Provides: ko.tex
Breaks: texlive-base (<< 2016)
Description: TeX Live: Korean
 Support for Korean; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 baekmuk -- Baekmuk Korean TrueType fonts
 .
 cjk-ko -- Extension of the CJK package for Korean typesetting
 .
 kotex-oblivoir -- A LaTeX document class for typesetting Korean documents
 .
 kotex-plain -- Macros for typesetting Korean under Plain TeX
 .
 kotex-utf -- Typeset Hangul, coded in UTF-8
 .
 kotex-utils -- Utility scripts and support files for typesetting Korean
 .
 lshort-korean -- Korean introduction to LaTeX
 .
 nanumtype1 -- Type1 subfonts of Nanum Korean fonts
 .
 uhc -- Fonts for the Korean language
 .
 unfonts-core -- TrueType version of Un-fonts
 .
 unfonts-extra -- TrueType version of Un-fonts

Package: texlive-lang-chinese
Architecture: all
Multi-Arch: foreign
Depends: texlive-lang-cjk (>= 2016), ${misc:Depends}, texlive-base (>= 2016)
Replaces: texlive-base (<< 2016)
Breaks: texlive-base (<< 2016)
Description: TeX Live: Chinese
 Support for Chinese; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 asymptote-by-example-zh-cn -- Asymptote by example
 .
 asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation)
 .
 asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual
 .
 cns --
 .
 ctex -- LaTeX classes and packages for Chinese typesetting
 .
 ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org)
 .
 fandol -- Four basic fonts for Chinese typesetting
 .
 hyphen-chinese -- Chinese pinyin hyphenation patterns.
 .
 impatient-cn --
 .
 latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX
 .
 lshort-chinese -- Introduction to LaTeX, in Chinese
 .
 texlive-zh-cn -- TeX Live manual (Chinese)
 .
 texproposal -- A proposal prototype for LaTeX promotion in Chinese
 universities
 .
 xpinyin -- Automatically add pinyin to Chinese characters
 .
 zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX
 .
 zhmetrics-uptex -- Chinese font metrics for upTeX
 .
 zhnumber -- Typeset Chinese representations of numbers
 .
 zhspacing -- Spacing for mixed CJK-English documents in XeTeX

Package: texlive-lang-japanese
Architecture: all
Multi-Arch: foreign
Depends: texlive-base (>= 2016), ${misc:Depends}, fonts-ipaexfont-mincho, ruby, fonts-ipafont-mincho, texlive-binaries (>= 2016.20160513.41080-7), fonts-ipaexfont-gothic, texlive-lang-cjk (>= 2016), fonts-ipafont-gothic
Conflicts: ptex-jisfonts
Provides: okumura-clsfiles, vfdata-morisawa5, ptex-jisfonts
Replaces: texlive-lang-cjk (<< 2014.20150305), mendexk
Breaks: texlive-base (<< 2016)
Description: TeX Live: Japanese
 Support for Japanese; additional packages in collection- langcjk.
 .
 This package includes the following CTAN packages:
 .
 bxbase -- BX bundle base components
 .
 bxcjkjatype -- Typeset Japanese with pdfLaTeX and CJK
 .
 bxjalipsum -- Dummy text in Japanese
 .
 bxjscls -- Japanese document class collection for all major engines
 .
 convbkmk -- Correct platex/uplatex bookmarks in PDF created with hyperref
 .
 ipaex -- IPA and IPAex fonts from Information-technology Promotion Agency,
 Japan.
 .
 japanese -- A substitute for a babel package for Japanese
 .
 japanese-otf -- Advanced font selection for platex and its friends
 .
 japanese-otf-uptex -- Support for Japanese OTF files in upLaTeX
 .
 jfontmaps -- Font maps and configuration tools for Japanese fonts
 .
 jsclasses -- Classes tailored for use with Japanese
 .
 lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e
 .
 luatexja -- Typeset Japanese with Lua(La)TeX
 .
 pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
 .
 platex -- pLaTeX2e and miscellaneous macros for pTeX
 .
 platex-tools -- pLaTeX standard tools bundle
 .
 ptex -- A TeX system for publishing in Japanese
 .
 ptex-base -- Plain TeX format and documents for pTeX and e-pTeX
 .
 ptex-fonts -- Fonts for use with pTeX
 .
 ptex2pdf -- Convert Japanese TeX documents to PDF
 .
 pxbase -- Tools for use with (u)pLaTeX
 .
 pxchfon -- Japanese font setup for pLaTeX and upLaTeX
 .
 pxcjkcat -- LaTeX interface for the CJK category codes of upTeX
 .
 pxjahyper -- Hyperref support for pLaTeX
 .
 pxrubrica --
 .
 uplatex -- pLaTeX2e and miscellaneous macros for upTeX
 .
 uptex -- Unicode version of pTeX
 .
 uptex-base -- Plain TeX format and documents for upTeX
 .
 uptex-fonts -- Fonts for use with upTeX
 .
 zxjafbfont -- Fallback CJK font support for xeCJK
 .
 zxjatype -- Standard conforming typesetting of Japanese, for XeLaTeX

Package: texlive-lang-cyrillic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2016), texlive-latex-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), texlive-base (>= 2016)
Replaces: texlive-base (<< 2016)
Breaks: texlive-base (<< 2016)
Description: TeX Live: Cyrillic
 Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
 if Latin alphabets may also be used.
 .
 This package includes the following CTAN packages:
 .
 babel-belarusian -- Babel support for Belarusian
 .
 babel-bulgarian -- Babel contributed support for Bulgarian
 .
 babel-russian -- Russian language module for Babel
 .
 babel-serbian --
 .
 babel-serbianc -- Babel module to support Serbian Cyrillic
 .
 babel-ukrainian -- Babel support for Ukrainian
 .
 churchslavonic -- Typesetting documents in Church Slavonic language using
 Unicode
 .
 cmcyr -- Computer Modern fonts with cyrillic extensions
 .
 cyrillic -- Support for Cyrillic fonts in LaTeX
 .
 cyrillic-bin -- Cyrillic bibtex and makeindex.
 .
 cyrplain --
 .
 disser -- Class and templates for typesetting dissertations in Russian
 .
 eskd -- Modern Russian typesetting
 .
 eskdx -- Modern Russian typesetting
 .
 gost -- BibTeX styles to format according to GOST
 .
 hyphen-bulgarian -- Bulgarian hyphenation patterns.
 .
 hyphen-churchslavonic -- Church Slavonic hyphenation patterns.
 .
 hyphen-mongolian -- Mongolian hyphenation patterns in Cyrillic script.
 .
 hyphen-russian -- Russian hyphenation patterns.
 .
 hyphen-serbian -- Serbian hyphenation patterns.
 .
 hyphen-ukrainian -- Ukrainian hyphenation patterns.
 .
 lcyw -- Make Classic Cyrillic CM fonts accessible in LaTeX
 .
 lh -- Cyrillic fonts that support LaTeX standard encodings
 .
 lhcyr -- A non-standard Cyrillic input scheme
 .
 lshort-bulgarian -- Bulgarian translation of the "Short Introduction to
 LaTeX2e"
 .
 lshort-mongol -- Short introduction to LaTeX, in Mongolian
 .
 lshort-russian -- Russian introduction to LaTeX
 .
 lshort-ukr -- Ukrainian version of the LaTeX introduction
 .
 mongolian-babel -- A language definition file for Mongolian in Babel
 .
 montex -- Mongolian LaTeX
 .
 mpman-ru -- A Russian translation of the MetaPost manual
 .
 pst-eucl-translation-bg -- Bulgarian translation of the pst-eucl
 documentation
 .
 ruhyphen -- Russian hyphenation
 .
 russ -- LaTeX in Russian, without babel
 .
 serbian-apostrophe -- Commands for Serbian words with apostrophes
 .
 serbian-date-lat -- Updated date typesetting for Serbian
 .
 serbian-def-cyr -- Serbian cyrillic localization
 .
 serbian-lig -- Control ligatures in Serbian
 .
 t2 -- Support for using T2 encoding
 .
 texlive-ru -- TeX Live manual (Russian)
 .
 texlive-sr -- TeX Live manual (Serbian)
 .
 ukrhyph -- Hyphenation Patterns for Ukrainian

Package: texlive-lang-czechslovak
Architecture: all
Multi-Arch: foreign
Depends: texlive-base (>= 2016), ${misc:Depends}, texlive-latex-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), texlive-luatex (>= 2016), texlive-base (>= 2016)
Replaces: texlive-base (<< 2016)
Breaks: texlive-base (<< 2016)
Description: TeX Live: Czech/Slovak
 Support for Czech/Slovak.
 .
 This package includes the following CTAN packages:
 .
 babel-czech -- Babel support for Czech
 .
 babel-slovak -- Babel support for typesetting Slovak
 .
 cnbwp -- Typeset working papers of the Czech National Bank
 .
 cs -- Czech/Slovak-tuned Computer Modern fonts
 .
 csbulletin -- LaTeX class for articles submitted to the CSTUG Bulletin
 (Zpravodaj)
 .
 cslatex -- LaTeX support for Czech/Slovak typesetting
 .
 csplain -- Plain TeX multilanguage support
 .

## texlive-lang 2016.20170118

=== debian/changelog ===
texlive-lang (2016.20170118-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Wed, 18 Jan 2017 08:56:33 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
 Standards-Version: 3.9.8
 Homepage: http://www.tug.org/texlive/
@@ -11,7 +11,7 @@
 Package: texlive-lang-african
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-base (>= 2016), ${misc:Depends}, texlive-base (>= 2016)
+Depends: texlive-base (>= 2016), texlive-base (>= 2016), ${misc:Depends}
 Replaces: texlive-base (<< 2016)
 Breaks: texlive-base (<< 2016)
 Description: TeX Live: African scripts
@@ -30,7 +30,7 @@
 Package: texlive-lang-arabic
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-base (>= 2016), ${misc:Depends}, texlive-base (>= 2016), fonts-hosny-amiri, texlive-generic-extra (>= 2016)
+Depends: texlive-generic-extra (>= 2016), texlive-base (>= 2016), ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2016)
 Replaces:  texlive-xetex (<< 2016.20161008)
 Breaks: texlive-base (<< 2016)
 Description: TeX Live: Arabic
@@ -76,8 +76,8 @@
 Package: texlive-lang-cjk
 Architecture: all
 Multi-Arch: foreign
-Depends: poppler-data, texlive-latex-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), ${misc:Depends}, texlive-base (>= 2016), texlive-base (>= 2016)
-Recommends: texlive-lang-chinese, ruby | ruby-interpreter, latex-cjk-all (>= 4.6.0+cvs20060714-2), texlive-lang-japanese, texlive-lang-korean
+Depends: poppler-data, texlive-base (>= 2016), texlive-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), texlive-latex-base (>= 2016), ${misc:Depends}
+Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby | ruby-interpreter, texlive-lang-chinese, texlive-lang-korean, texlive-lang-japanese
 Breaks: texlive-base (<< 2016), texlive-lang-japanese (<< 2014.20150305)
 Description: TeX Live: Chinese/Japanese/Korean (base)
  Packages supporting a combination of Chinese, Japanese, Korean, including 
@@ -105,7 +105,7 @@
 Package: texlive-lang-korean
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-base (>= 2016), ${misc:Depends}, texlive-lang-cjk (>= 2016), texlive-binaries (>= 2016.20160513.41080-7)
+Depends: fonts-baekmuk, fonts-unfonts-extra, texlive-lang-cjk (>= 2016), texlive-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), fonts-unfonts-core, ${misc:Depends}
 Conflicts: ko.tex-bin
 Provides: ko.tex
 Breaks: texlive-base (<< 2016)
@@ -139,7 +139,7 @@
 Package: texlive-lang-chinese
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-lang-cjk (>= 2016), ${misc:Depends}, texlive-base (>= 2016)
+Depends: fonts-arphic-bsmi00lp, texlive-base (>= 2016), fonts-arphic-bkai00mp, texlive-lang-cjk (>= 2016), fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, ${misc:Depends}
 Replaces: texlive-base (<< 2016)
 Breaks: texlive-base (<< 2016)
 Description: TeX Live: Chinese
@@ -147,6 +147,8 @@
  .
  This package includes the following CTAN packages:
  .
+ arphic-ttf -- TrueType version of Chinese Arphic fonts
+ .
  asymptote-by-example-zh-cn -- Asymptote by example
  .
  asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation)
@@ -187,9 +189,9 @@
 Package: texlive-lang-japanese
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-base (>= 2016), ${misc:Depends}, fonts-ipaexfont-mincho, ruby, fonts-ipafont-mincho, texlive-binaries (>= 2016.20160513.41080-7), fonts-ipaexfont-gothic, texlive-lang-cjk (>= 2016), fonts-ipafont-gothic
+Depends: texlive-lang-cjk (>= 2016), fonts-ipaexfont-mincho, texlive-binaries (>= 2016.20160513.41080-7), ${misc:Depends}, fonts-ipafont-mincho, fonts-ipafont-gothic, fonts-ipaexfont-gothic, texlive-base (>= 2016), ruby
 Conflicts: ptex-jisfonts
-Provides: okumura-clsfiles, vfdata-morisawa5, ptex-jisfonts
+Provides: ptex-jisfonts, okumura-clsfiles, vfdata-morisawa5
 Replaces: texlive-lang-cjk (<< 2014.20150305), mendexk
 Breaks: texlive-base (<< 2016)
 Description: TeX Live: Japanese
@@ -197,6 +199,8 @@
  .
  This package includes the following CTAN packages:
  .
+ babel-japanese -- Babel support for Japanese
+ .
  bxbase -- BX bundle base components
  .
  bxcjkjatype -- Typeset Japanese with pdfLaTeX and CJK
@@ -210,32 +214,35 @@
  ipaex -- IPA and IPAex fonts from Information-technology Promotion Agency,
  Japan.
  .
- japanese -- A substitute for a babel package for Japanese
- .
  japanese-otf -- Advanced font selection for platex and its friends
  .
  japanese-otf-uptex -- Support for Japanese OTF files in upLaTeX
  .
- jfontmaps -- Font maps and configuration tools for Japanese fonts
- .
  jsclasses -- Classes tailored for use with Japanese
  .
  lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e
  .
  luatexja -- Typeset Japanese with Lua(La)TeX
  .
+ mendex-doc -- Documentation for Mendex index processor
+ .
  pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
  .
  platex -- pLaTeX2e and miscellaneous macros for pTeX
  .
  platex-tools -- pLaTeX standard tools bundle
  .
+ platexcheat -- A LaTeX cheat sheet, in Japanese
+ .
  ptex -- A TeX system for publishing in Japanese
  .
  ptex-base -- Plain TeX format and documents for pTeX and e-pTeX
  .
  ptex-fonts -- Fonts for use with pTeX
  .
+ ptex-fontmaps -- Font maps and configuration tools for
+ Japanese/Chinese/Korean fonts with (u)ptex
+ .
  ptex2pdf -- Convert Japanese TeX documents to PDF
  .
  pxbase -- Tools for use with (u)pLaTeX
@@ -263,7 +270,7 @@
 Package: texlive-lang-cyrillic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2016), texlive-latex-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), texlive-base (>= 2016)
+Depends: texlive-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), ${misc:Depends}, texlive-latex-base (>= 2016), texlive-base (>= 2016)
 Replaces: texlive-base (<< 2016)
 Breaks: texlive-base (<< 2016)
 Description: TeX Live: Cyrillic
@@ -284,7 +291,7 @@
  .
  babel-ukrainian -- Babel support for Ukrainian
  .
- churchslavonic -- Typesetting documents in Church Slavonic language using
+ churchslavonic -- Typeset documents in Church Slavonic language using
  Unicode
  .
  cmcyr -- Computer Modern fonts with cyrillic extensions
@@ -362,7 +369,7 @@
 Package: texlive-lang-czechslovak
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-base (>= 2016), ${misc:Depends}, texlive-latex-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), texlive-luatex (>= 2016), texlive-base (>= 2016)
+Depends: texlive-base (>= 2016), texlive-luatex (>= 2016), ${misc:Depends}, texlive-latex-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), texlive-base (>= 2016)
 Replaces: texlive-base (<< 2016)
 Breaks: texlive-base (<< 2016)
 Description: TeX Live: Czech/Slovak
@@ -374,14 +381,3 @@
  .
  babel-slovak -- Babel support for typesetting Slovak
  .
- cnbwp -- Typeset working papers of the Czech National Bank
- .
- cs -- Czech/Slovak-tuned Computer Modern fonts
- .
- csbulletin -- LaTeX class for articles submitted to the CSTUG Bulletin
- (Zpravodaj)
- .
- cslatex -- LaTeX support for Czech/Slovak typesetting
- .
- csplain -- Plain TeX multilanguage support
- .

## texlive-lang 2016.20170123

=== texmf-dist/doc/latex/platex-tools/Makefile ===
KANJI = -kanji=utf8
FONTMAP = -f ipaex.map -f ptex-ipaex.map

all: plextarray.pdf plextdelarray.pdf pxftnright.pdf \
	pxeverysel.pdf pxeveryshi.pdf \
	bounddvi.pdf bounddvi-en.pdf

.SUFFIXES: .tex .dvi .pdf
.tex.dvi:
	platex $(KANJI) $<
	platex $(KANJI) $<
	rm *.aux *.log
.dvi.pdf:
	dvipdfmx $(FONTMAP) $<

.PHONY: clean
clean:
	rm -f *.dvi *.pdf

=== texmf-dist/source/platex/base/Makefile ===
TARGET1 = platex.ltx jarticle.cls pl209.def platexrelease.sty \
	nidanfloat.sty tascmac.sty jltxdoc.cls
TARGET2 = platex.pdf platexrelease.pdf pldoc.pdf \
	nidanfloat.pdf ascmac.pdf exppl2e.pdf
TARGET3 = platex.dvi platexrelease.dvi pldoc.dvi \
	nidanfloat.dvi ascmac.dvi exppl2e.dvi
KANJI = -kanji=jis
FONTMAP = -f ipaex.map -f ptex-ipaex.map

default: $(TARGET1) $(TARGET3)
strip: $(TARGET1)
all: $(TARGET1) $(TARGET2)

PLFMT = platex.ltx plcore.ltx kinsoku.tex pldefs.ltx \
	jy1mc.fd jy1gt.fd jt1mc.fd jt1gt.fd plext.sty \
	ptrace.sty pfltrace.sty

PLFMT_SRC = platex.dtx plvers.dtx plfonts.dtx plcore.dtx \
	kinsoku.dtx plext.dtx

PLCLS = jarticle.cls jreport.cls jbook.cls jsize10.clo \
	jsize11.clo jsize12.clo jbk10.clo jbk11.clo jbk12.clo \
	tarticle.cls treport.cls tbook.cls tsize10.clo \
	tsize11.clo tsize12.clo tbk10.clo tbk11.clo tbk12.clo

PLCLS_SRC = jclasses.dtx

PL209 = pl209.def oldpfont.sty jarticle.sty tarticle.sty \
	jbook.sty tbook.sty jreport.sty treport.sty

PL209_SRC = pl209.dtx

PLREL = platexrelease.sty

PLREL_SRC = platexrelease.dtx $(PLFMT_SRC)

NIDAN = nidanfloat.sty

NIDAN_SRC = nidanfloat.dtx

ASCMAC = tascmac.sty ascmac.sty

ASCMAC_SRC = ascmac.dtx

INTRODOC_SRC = platex.dtx

PLRELDOC_SRC = platexrelease.dtx

PLDOC_SRC = platex.dtx plvers.dtx plfonts.dtx plcore.dtx plext.dtx \
	pl209.dtx kinsoku.dtx jclasses.dtx jltxdoc.dtx

platex.ltx: $(PLFMT_SRC)
	rm -f $(PLFMT)
	platex $(KANJI) plfmt.ins
	rm plfmt.log

jarticle.cls: $(PLCLS_SRC)
	rm -f $(PLCLS)
	platex $(KANJI) plcls.ins
	rm plcls.log

pl209.def: $(PL209_SRC)
	rm -f $(PL209)
	platex $(KANJI) pl209.ins
	rm pl209.log

platexrelease.sty: $(PLREL_SRC)
	rm -f $(PLREL)
	platex $(KANJI) platexrelease.ins
	rm platexrelease.log

nidanfloat.sty: $(NIDAN_SRC)
	rm -f $(NIDAN)
	platex $(KANJI) nidanfloat.ins
	rm nidanfloat.log

tascmac.sty: $(ASCMAC_SRC)
	rm -f $(ASCMAC)
	platex $(KANJI) ascmac.ins
	rm ascmac.log

jltxdoc.cls: jltxdoc.dtx
	rm -f jltxdoc.cls pldoc.tex Xins.ins
	platex $(KANJI) pldocs.ins
	rm pldocs.log pldoc.tex Xins.ins

platex.dvi: $(INTRODOC_SRC)
	platex $(KANJI) platex.dtx
	mendex -J -f -s gglo.ist -o platex.gls platex.glo
	platex $(KANJI) platex.dtx
	rm platex.aux platex.log
	rm platex.glo platex.gls platex.ilg

platexrelease.dvi: $(PLRELDOC_SRC)
	platex $(KANJI) platexrelease.dtx
	platex $(KANJI) platexrelease.dtx
	rm platexrelease.aux platexrelease.log

pldoc.dvi: $(PLDOC_SRC)
	rm -f jltxdoc.cls pldoc.tex Xins.ins
	platex $(KANJI) pldocs.ins
	rm -f mkpldoc.sh dstcheck.pl
	platex $(KANJI) Xins.ins
	sh mkpldoc.sh
	rm *.aux *.log pldoc.toc pldoc.idx pldoc.ind pldoc.ilg
	rm pldoc.glo pldoc.gls pldoc.tex Xins.ins
	rm ltxdoc.cfg pldoc.dic mkpldoc.sh dstcheck.pl

nidanfloat.dvi: $(NIDAN_SRC)
	platex $(KANJI) nidanfloat.dtx
	platex $(KANJI) nidanfloat.dtx
	rm nidanfloat.aux nidanfloat.log

ascmac.dvi: $(ASCMAC_SRC)
	platex $(KANJI) ascmac.dtx
	platex $(KANJI) ascmac.dtx
	rm ascmac.aux ascmac.log ascmac.toc

exppl2e.dvi: exppl2e.sty
	platex $(KANJI) exppl2e.sty
	platex $(KANJI) exppl2e.sty
	rm exppl2e.aux exppl2e.log

platex.pdf: platex.dvi
	dvipdfmx $(FONTMAP) platex.dvi
platexrelease.pdf: platexrelease.dvi
	dvipdfmx $(FONTMAP) platexrelease.dvi
pldoc.pdf: pldoc.dvi
	dvipdfmx $(FONTMAP) pldoc.dvi
nidanfloat.pdf: nidanfloat.dvi
	dvipdfmx $(FONTMAP) nidanfloat.dvi
ascmac.pdf: ascmac.dvi
	dvipdfmx $(FONTMAP) ascmac.dvi
exppl2e.pdf: exppl2e.dvi
	dvipdfmx $(FONTMAP) exppl2e.dvi

.PHONY: clean cleanstrip cleanall cleandoc
clean:
	rm -f $(PLFMT) $(PLCLS) $(PL209) $(PLREL) \
	$(NIDAN) $(ASCMAC) \
	platex.dvi platexrelease.dvi pldoc.dvi \
	nidanfloat.dvi ascmac.dvi exppl2e.dvi \
	jltxdoc.cls pldoc.tex Xins.ins
cleanstrip:
	rm -f $(PLFMT) $(PLCLS) $(PL209) $(PLREL) \
	$(NIDAN) $(ASCMAC) \
	jltxdoc.cls pldoc.tex Xins.ins
cleanall:
	rm -f $(PLFMT) $(PLCLS) $(PL209) $(PLREL) \
	$(NIDAN) $(ASCMAC) \
	platex.dvi platexrelease.dvi pldoc.dvi \
	nidanfloat.dvi ascmac.dvi exppl2e.dvi \
	platex.pdf platexrelease.pdf pldoc.pdf \
	nidanfloat.pdf ascmac.pdf exppl2e.pdf \
	jltxdoc.cls pldoc.tex Xins.ins
cleandoc:
	rm -f \
	platex.dvi platexrelease.dvi pldoc.dvi \
	nidanfloat.dvi ascmac.dvi exppl2e.dvi \
	platex.pdf platexrelease.pdf pldoc.pdf \
	nidanfloat.pdf ascmac.pdf exppl2e.pdf

=== texmf-dist/source/platex/jsclasses/Makefile ===
STRIPTARGET = jsarticle.cls okumacro.sty jsverb.sty okuverb.sty morisawa.sty jslogo.sty
PDFTARGET = jsclasses.pdf okumacro.pdf jsverb.pdf okuverb.pdf morisawa.pdf jslogo.pdf
DVITARGET = jsclasses.dvi okumacro.dvi jsverb.dvi okuverb.dvi morisawa.dvi jslogo.dvi
KANJI = --kanji=jis

default: $(STRIPTARGET) $(DVITARGET)
strip: $(STRIPTARGET)
all: $(STRIPTARGET) $(PDFTARGET)

jsarticle.cls: jsclasses.dtx
	platex $(KANJI) jsclasses.ins

jslogo.sty: jslogo.dtx
	platex $(KANJI) jslogo.ins

okumacro.sty: okumacro.dtx
	platex $(KANJI) okumacro.ins

jsverb.sty: jsverb.dtx
	platex $(KANJI) jsverb.ins

okuverb.sty: okuverb.dtx
	platex $(KANJI) okuverb.ins

morisawa.sty: morisawa.dtx
	platex $(KANJI) morisawa.ins

.SUFFIXES: .dtx .dvi .pdf
.dtx.dvi:
	platex $(KANJI) $<
	platex $(KANJI) $<
.dvi.pdf:
	dvipdfmx $<

.PHONY: clean
clean:
	rm -f \
	*.cls jslogo.sty okumacro.sty jsverb.sty okuverb.sty morisawa.sty \
	jsclasses.pdf okumacro.pdf jsverb.pdf okuverb.pdf morisawa.pdf jslogo.pdf

=== texmf-dist/source/uplatex/base/Makefile ===
TARGET1 = uplatex.ltx ujarticle.cls
TARGET2 = uplatex.pdf upldoc.pdf
TARGET3 = uplatex.dvi upldoc.dvi
KANJI = -kanji=utf8
FONTMAP = -f ipaex.map -f uptex-ipaex.map

default: $(TARGET1) $(TARGET3)
strip: $(TARGET1)
all: $(TARGET1) $(TARGET2)

PLFMT = uplatex.ltx uplcore.ltx ukinsoku.tex upldefs.ltx \
	jy2mc.fd jy2gt.fd jt2mc.fd jt2gt.fd uptrace.sty

PLFMT_SRC = uplatex.dtx uplvers.dtx uplfonts.dtx plcore.dtx \
	ukinsoku.dtx

PLCLS = ujarticle.cls ujreport.cls ujbook.cls ujsize10.clo \
	ujsize11.clo ujsize12.clo ujbk10.clo ujbk11.clo ujbk12.clo \
	utarticle.cls utreport.cls utbook.cls utsize10.clo \
	utsize11.clo utsize12.clo utbk10.clo utbk11.clo utbk12.clo

PLCLS_SRC = ujclasses.dtx

INTRODOC_SRC = uplatex.dtx

PLDOC_SRC = uplatex.dtx uplvers.dtx uplfonts.dtx \
	ukinsoku.dtx ujclasses.dtx

uplatex.ltx: $(PLFMT_SRC)
	rm -f $(PLFMT)
	uplatex $(KANJI) uplfmt.ins
	rm uplfmt.log

ujarticle.cls: $(PLCLS_SRC)
	rm -f $(PLCLS)
	uplatex $(KANJI) uplcls.ins
	rm uplcls.log

uplatex.dvi: $(INTRODOC_SRC)
	uplatex $(KANJI) uplatex.dtx
	mendex -U -f -s gglo.ist -o uplatex.gls uplatex.glo
	uplatex $(KANJI) uplatex.dtx
	rm uplatex.aux uplatex.log
	rm uplatex.glo uplatex.gls uplatex.ilg

upldoc.dvi: $(PLDOC_SRC)
	rm -f upldoc.tex Xins.ins
	uplatex $(KANJI) upldocs.ins
	rm -f mkpldoc.sh dstcheck.pl
	uplatex $(KANJI) Xins.ins
	sh mkpldoc.sh
	rm *.aux *.log upldoc.toc upldoc.idx upldoc.ind upldoc.ilg
	rm upldoc.glo upldoc.gls upldoc.tex Xins.ins
	rm ltxdoc.cfg upldoc.dic mkpldoc.sh dstcheck.pl

uplatex.pdf: uplatex.dvi
	dvipdfmx $(FONTMAP) uplatex.dvi
upldoc.pdf: upldoc.dvi
	dvipdfmx $(FONTMAP) upldoc.dvi

.PHONY: clean cleanstrip cleanall cleandoc
clean:
	rm -f $(PLFMT) $(PLCLS) \
	uplatex.dvi upldoc.dvi \
	upldoc.tex Xins.ins
cleanstrip:
	rm -f $(PLFMT) $(PLCLS) \
	upldoc.tex Xins.ins
cleanall:
	rm -f $(PLFMT) $(PLCLS) \
	uplatex.dvi upldoc.dvi \
	uplatex.pdf upldoc.pdf \
	upldoc.tex Xins.ins
cleandoc:
	rm -f \
	uplatex.dvi upldoc.dvi \
	uplatex.pdf upldoc.pdf

=== texmf-dist/doc/latex/disser/templates-utf8/Makefile ===
#
# Makefile for documents and templates
# Author: Stanislav Kruchinin <stanislav.kruchinin@gmail.com>
#

TARGET ?= thesis
TEXMF ?= /usr/share/texmf
DESTDIR ?= $(TEXMF)
DOCDIR ?= $(DESTDIR)/doc/latex/disser

dvi clean figclean bmtoeps epstopdf fixbb pdftopng256 pdftotiffg4 ps ps_2on1 pdf pdf_2on1 html srcdist all allpdf:
	@$(MAKE) -i -C bachelor $@
	@$(MAKE) -i -C specialist $@
	@$(MAKE) -i -C master $@
	@$(MAKE) -i -C candidate $@
	@$(MAKE) -i -C doctor $@

help:
	@$(MAKE) -s -C candidate $@ ;\
	echo "  install      install templates" ;\
	echo "  uninstall    uninstall templates" ;\
	echo "  reinstall    reinstall templates"

install:
	cp -rf ../templates $(DOCDIR) ;\
	cp -rf ../templates-utf8 $(DOCDIR) ;\
	cp -rf ../include $(DOCDIR)

uninstall:
	-rm -rf $(DOCDIR)

reinstall: uninstall install

=== texmf-dist/doc/latex/lshort-chinese/src/Makefile ===
LSHORT  = lshort-zh-cn
PDF     = $(LSHORT).pdf
REQUIRE = $(LSHORT).tex $(LSHORT)-style.sty $(LSHORT)-layout.tex $(LSHORT).ist
TEMP    = $(LSHORT).{aux,log,idx,ind,ilg,out,toc,los} $(LSHORT)-example.aux

TEX     = xelatex
MODE    = -interaction=nonstopmode
MAKEIDX = makeindex

RM      = rm -f
INSTALL = mv

all: $(PDF)

$(PDF): $(REQUIRE)
	$(TEX) $(MODE) $(LSHORT)
	$(MAKEIDX) -s $(LSHORT).ist $(LSHORT)
	$(TEX) $(MODE) $(LSHORT)

install: all
	$(INSTALL) $(LSHORT).pdf ..

clean:
	$(RM) $(TEMP)

distclean: clean
	$(RM) ../$(LSHORT).pdf

.PHONY: all install clean distclean

=== texmf-dist/doc/latex/disser/templates/doctor/Makefile ===
#
# Makefile for documents and templates
# Author: Stanislav Kruchinin <stanislav.kruchinin@gmail.com>
#

TARGET ?= thesis
BIBTEX ?= bibtex8
BIBTEXFLAGS ?= -H -c cp1251

include ../../include/latex.mk

all:
	@env TARGET=thesis $(MAKE) ;\
	 env TARGET=autoref $(MAKE) ;\
	 eval unset TARGET

allpdf:
	@env TARGET=thesis $(MAKE) pdf ;\
	 env TARGET=autoref $(MAKE) pdf ;\
	 eval unset TARGET

alldvi
	@env TARGET=thesis $(MAKE) dvi ;\
	 env TARGET=autoref $(MAKE) dvi ;\
	 eval unset TARGET

help: .help
	@echo "  all          build PDF of autoref and thesis" ;\
	 echo "  allpdf       build PDF of autoref and thesis" ;\
	 echo "  alldvi       build DVI of autoref and thesis" ;\

=== debian/changelog ===
texlive-lang (2016.20170123-5) unstable; urgency=medium

  * backport fix for wrong warnings in babel-french (Closes: #856993)

 -- Norbert Preining <preining@debian.org>  Tue, 07 Mar 2017 10:35:52 +0900

texlive-lang (2016.20170123-4) unstable; urgency=medium

  * fix missing links for kanji-config-updmap{,-sys} (Closes: #856450)

 -- Norbert Preining <preining@debian.org>  Thu, 02 Mar 2017 11:03:58 +0900

texlive-lang (2016.20170123-3) unstable; urgency=medium

  * include fixed luatex-ja (Closes: #854528)

 -- Norbert Preining <preining@debian.org>  Sun, 12 Feb 2017 16:32:29 +0900

texlive-lang (2016.20170123-2) unstable; urgency=medium

  * fix wrong replace/break statements
  * tighten inter-package dependencies (Closes: #852611)

 -- Norbert Preining <preining@debian.org>  Thu, 02 Feb 2017 22:14:56 +0900

texlive-lang (2016.20170123-1) unstable; urgency=medium

  * new upstream checkout
  * fix Padauk font links

 -- Norbert Preining <preining@debian.org>  Mon, 23 Jan 2017 12:33:09 +0900

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Package: texlive-lang-african
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-base (>= 2016), texlive-base (>= 2016), ${misc:Depends}
+Depends: ${misc:Depends}, texlive-base (>= 2016.20170123-2), texlive-base (>= 2016.20170123-2)
 Replaces: texlive-base (<< 2016)
-Breaks: texlive-base (<< 2016)
+Breaks: texlive-base (<< 2016), texlive-base (<< 2016.20170123-2)
 Description: TeX Live: African scripts
  Support for African scripts.
  .
@@ -30,9 +30,9 @@
 Package: texlive-lang-arabic
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-generic-extra (>= 2016), texlive-base (>= 2016), ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2016)
+Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2016.20170123-2), texlive-base (>= 2016.20170123-2), texlive-generic-extra (>= 2016.20170123-2)
 Replaces:  texlive-xetex (<< 2016.20161008)
-Breaks: texlive-base (<< 2016)
+Breaks:  texlive-xetex (<< 2016.20161008), texlive-base (<< 2016.20170123-2)
 Description: TeX Live: Arabic
  Support for Arabic and Persian.
  .
@@ -76,9 +76,9 @@
 Package: texlive-lang-cjk
 Architecture: all
 Multi-Arch: foreign
-Depends: poppler-data, texlive-base (>= 2016), texlive-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), texlive-latex-base (>= 2016), ${misc:Depends}
-Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby | ruby-interpreter, texlive-lang-chinese, texlive-lang-korean, texlive-lang-japanese
-Breaks: texlive-base (<< 2016), texlive-lang-japanese (<< 2014.20150305)
+Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2016.20170123-2), texlive-base (>= 2016.20170123-2), texlive-binaries (>= 2016.20160513.41080-7), texlive-latex-base (>= 2016.20170123-2)
+Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby | ruby-interpreter, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
+Breaks: texlive-base (<< 2016.20170123-2)
 Description: TeX Live: Chinese/Japanese/Korean (base)
  Packages supporting a combination of Chinese, Japanese, Korean, including 
  macros, fonts, documentation.  Also Thai in the c90 encoding, since there is 
@@ -98,6 +98,9 @@
  .
  norasi-c90 -- TeX support (from CJK) for the norasi font
  .
+ pxtatescale -- Patch to graphics driver for scaling in vertical direction of
+ pTeX
+ .
  xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
  .
  zxjafont -- Set up Japanese font families for XeLaTeX
@@ -105,10 +108,10 @@
 Package: texlive-lang-korean
 Architecture: all
 Multi-Arch: foreign
-Depends: fonts-baekmuk, fonts-unfonts-extra, texlive-lang-cjk (>= 2016), texlive-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), fonts-unfonts-core, ${misc:Depends}
+Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2016.20170123-2), texlive-binaries (>= 2016.20160513.41080-7), texlive-lang-cjk (>= 2016.20170123-2)
 Conflicts: ko.tex-bin
 Provides: ko.tex
-Breaks: texlive-base (<< 2016)
+Breaks: texlive-base (<< 2016.20170123-2)
 Description: TeX Live: Korean
  Support for Korean; additional packages in collection-langcjk.
  .
@@ -139,9 +142,9 @@
 Package: texlive-lang-chinese
 Architecture: all
 Multi-Arch: foreign
-Depends: fonts-arphic-bsmi00lp, texlive-base (>= 2016), fonts-arphic-bkai00mp, texlive-lang-cjk (>= 2016), fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, ${misc:Depends}
+Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2016.20170123-2), texlive-lang-cjk (>= 2016.20170123-2)
 Replaces: texlive-base (<< 2016)
-Breaks: texlive-base (<< 2016)
+Breaks: texlive-base (<< 2016), texlive-base (<< 2016.20170123-2)
 Description: TeX Live: Chinese
  Support for Chinese; additional packages in collection-langcjk.
  .
@@ -189,11 +192,11 @@
 Package: texlive-lang-japanese
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-lang-cjk (>= 2016), fonts-ipaexfont-mincho, texlive-binaries (>= 2016.20160513.41080-7), ${misc:Depends}, fonts-ipafont-mincho, fonts-ipafont-gothic, fonts-ipaexfont-gothic, texlive-base (>= 2016), ruby
+Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2016.20170123-2), texlive-binaries (>= 2016.20160513.41080-7), texlive-lang-cjk (>= 2016.20170123-2)
 Conflicts: ptex-jisfonts
-Provides: ptex-jisfonts, okumura-clsfiles, vfdata-morisawa5
-Replaces: texlive-lang-cjk (<< 2014.20150305), mendexk
-Breaks: texlive-base (<< 2016)
+Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
+Replaces: mendexk, texlive-lang-cjk (<< 2014.20150305)
+Breaks: texlive-base (<< 2016.20170123-2), texlive-lang-cjk (<< 2014.20150305)
 Description: TeX Live: Japanese
  Support for Japanese; additional packages in collection- langcjk.
  .
@@ -270,9 +273,9 @@
 Package: texlive-lang-cyrillic
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), ${misc:Depends}, texlive-latex-base (>= 2016), texlive-base (>= 2016)
+Depends: ${misc:Depends}, texlive-base (>= 2016.20170123-2), texlive-base (>= 2016.20170123-2), texlive-binaries (>= 2016.20160513.41080-7), texlive-latex-base (>= 2016.20170123-2)
 Replaces: texlive-base (<< 2016)
-Breaks: texlive-base (<< 2016)
+Breaks: texlive-base (<< 2016), texlive-base (<< 2016.20170123-2)
 Description: TeX Live: Cyrillic
  Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
  if Latin alphabets may also be used.
@@ -369,15 +372,3 @@
 Package: texlive-lang-czechslovak
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-base (>= 2016), texlive-luatex (>= 2016), ${misc:Depends}, texlive-latex-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-7), texlive-base (>= 2016)
-Replaces: texlive-base (<< 2016)
-Breaks: texlive-base (<< 2016)
-Description: TeX Live: Czech/Slovak
- Support for Czech/Slovak.
- .
- This package includes the following CTAN packages:
- .
- babel-czech -- Babel support for Czech
- .
- babel-slovak -- Babel support for typesetting Slovak
- .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-lang

PACKAGES=texlive-lang-african texlive-lang-arabic texlive-lang-cjk texlive-lang-korean texlive-lang-chinese texlive-lang-japanese texlive-lang-cyrillic texlive-lang-czechslovak texlive-lang-english texlive-lang-european texlive-lang-french texlive-lang-german texlive-lang-greek texlive-lang-indic texlive-lang-italian texlive-lang-other texlive-lang-polish texlive-lang-portuguese texlive-lang-spanish
METAPACKAGES=texlive-lang-all

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done

	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  find debian/$i/usr/share -name \*.jar -exec chmod ugo-x '{}' \; ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done

	# move ltx-help.el into emacs directory

	mkdir -p debian/texlive-lang-english/usr/share/emacs/site-lisp
	mv debian/texlive-lang-english/usr/share/doc/texlive-doc/latex/latex2e-help-texinfo/ltx-help.el \
		debian/texlive-lang-english/usr/share/emacs/site-lisp
	# link pfb/afm files (type1 fonts) into /usr/share/fonts

	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	#dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	# we create the format links via the texlive-lang-czechslovak.links
	# file, since otherwise dh_installtex boils out as several formats
	# with different engines have the same name
	dh_installtex -p texlive-lang-czechslovak --flavor=tree:texlive,format:no_links
	dh_installtex -N texlive-lang-czechslovak --flavor=tree:texlive

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	dh_installmime
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# remove x bit from jar files
	find debian/texlive-*/usr/share/texlive -name \*.jar -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -- -Zxz


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof

## texlive-lang 2017.20170619

=== debian/changelog ===
texlive-lang (2017.20170619-1) unstable; urgency=medium

  * new checkout and upload to unstable

 -- Norbert Preining <preining@debian.org>  Mon, 19 Jun 2017 17:07:15 +0900

texlive-lang (2017.20170613-1) experimental; urgency=medium

  * first post 2017 checkout with all the updates since the freeze

 -- Norbert Preining <preining@debian.org>  Tue, 13 Jun 2017 10:00:08 +0900

texlive-lang (2017.20170525-1) experimental; urgency=medium

  * TL 2017

 -- Norbert Preining <preining@debian.org>  Sat, 27 May 2017 11:03:54 +0900
